phpLDAPadmin

# Class: xmlTemplates

Source Location: /templates/3rdParty/pla/lib/xmlTemplates.php

### Class Overview

XML Templates Class

#### Author(s):

### Variables

- $server_id
- $templates

### Methods

- __construct
- getTemplate
- getTemplates

### Child classes:

Queries
  Query Class

Templates
  Templates Class

### Class Details

[line 15]
XML Templates Class

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $server_id =

[line 17]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $templates = array()

[line 19]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 21]

`xmlTemplates __construct( $server_id)`

#### Parameters:

| $server_id |

[ Top ]

### method getTemplate [line 225]

`object Template getTemplate( string $templateid)`

Return a template by its ID

#### Tags:

return: | (or default template if the ID doesnt exist)

#### Parameters:

string | $templateid | The template ID as it was when it was generated (normally used in $_REQUEST vars).

[ Top ]

### method getTemplates [line 193]

`array getTemplates( [string $type = null], [boolean $container = null], [ $disabled = false])`

Return a list of templates by their type This function should return a sorted list, as the array is built sorted.

#### Tags:

return: | List of templates of the type
access: | public

#### Parameters:

string | $type | Type of template, eg: creation, modification
boolean | $container | Exclude templates purposely disabled.
| $disabled |

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:16 +0100 by phpDocumentor 1.4.1